import { RootNodePackage, VersionSpec } from './explain.types';
declare type TargetPackage = {
    name: string;
    version: VersionSpec;
};
/** Spawn `npm explain [name] --json` and return the parsed JSON. Returns `null` if the requested package is not installed. */
export declare function explainAsync(packageName: string, parameters?: string[]): Promise<RootNodePackage[] | null>;
export declare function warnAboutDeepDependenciesAsync(pkg: TargetPackage): Promise<void>;
export declare function organizeExplanations(pkg: TargetPackage, { explanations, isValid, }: {
    explanations: RootNodePackage[];
    isValid: (pkg: TargetPackage) => boolean;
}): {
    valid: RootNodePackage[];
    invalid: RootNodePackage[];
};
export declare function printExplanationsAsync(pkg: TargetPackage, explanations: RootNodePackage[]): Promise<void>;
export {};
